<nz-spin [nzSpinning]="isLoading">
  <div style="display: block;" style="position: relative;" [style.height.px]="height">
    <canvas *ngIf="chartElementId" [id]="chartElementId"></canvas>
  </div>
</nz-spin>